ARG UBI_IMAGE=registry.access.redhat.com/ubi8/ubi:8.3

FROM ${UBI_IMAGE}

ARG GO_VERSION=1.14.5

RUN mkdir -p /assets/usr/local \
    && curl --retry 6 https://storage.googleapis.com/golang/go${GO_VERSION}.linux-amd64.tar.gz -o go${GO_VERSION}.linux-amd64.tar.gz \
    && curl --retry 6 https://storage.googleapis.com/golang/go${GO_VERSION}.linux-amd64.tar.gz.asc -o go${GO_VERSION}.linux-amd64.tar.gz.asc \
    && curl --retry 6 https://dl.google.com/linux/linux_signing_key.pub -o linux_signing_key.pub \
    && gpg2 --import linux_signing_key.pub \
    && gpg2 --auto-key-retrieve --verify go${GO_VERSION}.linux-amd64.tar.gz.asc go${GO_VERSION}.linux-amd64.tar.gz \
    && tar -C /assets/usr/local -xzf go${GO_VERSION}.linux-amd64.tar.gz
